Skip to main content
GET
/
markets
/
active
/
{categoryId}
Browse Active Markets
curl --request GET \
  --url https://api.limitless.exchange/markets/active/{categoryId}
{
  "data": [
    {
      "id": 7495,
      "address": "0x76d3e2098Be66Aa7E15138F467390f0Eb7349B9b",
      "conditionId": "0x812f578437dc536def1412e4e593ef310884262c22868b30c1e58582e5f3e9bf",
      "title": "$DOGE above $0.21652 on Sep 1, 12:00 UTC?",
      "description": "This market will resolve to \"YES\" if the price of $DOGE is above $0.21652...",
      "collateralToken": {
        "address": "0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913",
        "decimals": 6,
        "symbol": "USDC"
      },
      "creator": {
        "name": "Limitless",
        "imageURI": "https://limitless.exchange/assets/images/logo.svg",
        "link": "https://x.com/trylimitless"
      },
      "prices": [
        42.8,
        57.2
      ],
      "categories": [
        "Hourly"
      ],
      "tags": [
        "Lumy",
        "Recurring",
        "Hourly",
        "Simple Mode"
      ],
      "status": "FUNDED",
      "expired": false,
      "expirationDate": "Sep 1, 2025",
      "expirationTimestamp": 1756728000000,
      "volume": "164109293",
      "volumeFormatted": "164.109293",
      "openInterest": "48310707",
      "openInterestFormatted": "48.310707",
      "liquidity": "50000000",
      "liquidityFormatted": "50.000000",
      "tradeType": "amm",
      "marketType": "single",
      "slug": "dollardoge-above-dollar021652-on-sep-1-1200-utc-1756724413009",
      "feedEvents": [
        {
          "eventType": "NEW_TRADE",
          "timestamp": "2025-09-01T11:30:31.000Z",
          "user": {
            "id": 7080,
            "account": "0xea27f6788F083e6070961d3E52A2e596367E04CC",
            "name": "GG",
            "rankName": "Bronze",
            "points": "0.00000000"
          },
          "data": {
            "title": "$DOGE above $0.21652 on Sep 1, 12:00 UTC?",
            "address": "0x76d3e2098Be66Aa7E15138F467390f0Eb7349B9b",
            "strategy": "Buy",
            "outcome": "NO",
            "contracts": "9.071313",
            "tradeAmount": "5",
            "tradeAmountUSD": "4.999525",
            "marketId": 7495
          }
        }
      ]
    }
  ],
  "totalMarketsCount": 150
}
This is the same as Browse Active Markets but with the category ID as a path parameter instead of a query parameter. Use Get Category Counts to discover available category IDs.

Path Parameters

categoryId
number

Filter markets by category ID

Query Parameters

page
number

Page number for pagination

Example:

1

limit
number

Number of items per page

Example:

10

sortBy
string

Sort by query parameter

Example:

"newest"

tradeType
enum<string>

Filter by trade type (amm, clob, or group)

Available options:
amm,
clob,
group
automationType
enum<string>

Filter by automation type (manual, lumy, or sports)

Available options:
manual,
lumy,
sports

Response

Active markets and groups with volume and liquidity data

data
object[]
required

Array of active markets with complete trading data including volume, liquidity, and recent feed events

Example:
[
  {
    "id": 7495,
    "address": "0x76d3e2098Be66Aa7E15138F467390f0Eb7349B9b",
    "conditionId": "0x812f578437dc536def1412e4e593ef310884262c22868b30c1e58582e5f3e9bf",
    "title": "$DOGE above $0.21652 on Sep 1, 12:00 UTC?",
    "description": "This market will resolve to \"YES\" if the price of $DOGE is above $0.21652...",
    "collateralToken": {
      "address": "0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913",
      "decimals": 6,
      "symbol": "USDC"
    },
    "creator": {
      "name": "Limitless",
      "imageURI": "https://limitless.exchange/assets/images/logo.svg",
      "link": "https://x.com/trylimitless"
    },
    "prices": [42.8, 57.2],
    "categories": ["Hourly"],
    "tags": [
      "Lumy",
      "Recurring",
      "Hourly",
      "Simple Mode"
    ],
    "status": "FUNDED",
    "expired": false,
    "expirationDate": "Sep 1, 2025",
    "expirationTimestamp": 1756728000000,
    "volume": "164109293",
    "volumeFormatted": "164.109293",
    "openInterest": "48310707",
    "openInterestFormatted": "48.310707",
    "liquidity": "50000000",
    "liquidityFormatted": "50.000000",
    "tradeType": "amm",
    "marketType": "single",
    "slug": "dollardoge-above-dollar021652-on-sep-1-1200-utc-1756724413009",
    "feedEvents": [
      {
        "eventType": "NEW_TRADE",
        "timestamp": "2025-09-01T11:30:31.000Z",
        "user": {
          "id": 7080,
          "account": "0xea27f6788F083e6070961d3E52A2e596367E04CC",
          "name": "GG",
          "rankName": "Bronze",
          "points": "0.00000000"
        },
        "data": {
          "title": "$DOGE above $0.21652 on Sep 1, 12:00 UTC?",
          "address": "0x76d3e2098Be66Aa7E15138F467390f0Eb7349B9b",
          "strategy": "Buy",
          "outcome": "NO",
          "contracts": "9.071313",
          "tradeAmount": "5",
          "tradeAmountUSD": "4.999525",
          "marketId": 7495
        }
      }
    ]
  }
]
totalMarketsCount
number
required

Total number of active markets available for pagination

Example:

150